From a4a30418a3e64acfc1885ea5678bbcd78933cdda Mon Sep 17 00:00:00 2001
From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Date: Tue, 8 Dec 2020 09:07:27 -0600
Subject: [PATCH 11/12] create /var/lib/systemd in tmpfs for bullseye.

---
# debian/changelog                      | 1 +
 management/sbin/x2gothinclient_create | 5 +++++
 2 files changed, 6 insertions(+)

#diff --git a/debian/changelog b/debian/changelog
#index c19d332..94d57e8 100644
#--- a/debian/changelog
#+++ b/debian/changelog
#@@ -2,6 +2,7 @@ x2gothinclient (1.5.0.2-0x2go2) UNRELEASED; urgency=medium
# 
#   [ Oleksandr Shneyder ]
#   * Update classic TCE to debian buster.
#+  * create /var/lib/systemd in tmpfs for bullseye.
# 
#   [ Mike Gabriel ]
#   * New upstream release (1.5.0.2):
diff --git a/management/sbin/x2gothinclient_create b/management/sbin/x2gothinclient_create
index fb0ddd6..06d478b 100755
--- a/management/sbin/x2gothinclient_create
+++ b/management/sbin/x2gothinclient_create
@@ -157,6 +157,11 @@ none	/var/run		tmpfs	size=50M		0	0
 none	/var/lock		tmpfs	size=50M		0	0
 EOF
 fi
+if [ "$TC_DISTRO_CODENAME" = "bullseye" ]; then
+	cat >> "$TC_CHROOT/etc/fstab" <<EOF
+none	/var/lib/systemd	tmpfs	size=50M,mode=755					0	0
+EOF
+fi
 
 if [ "x$TC_DISTRO_CODENAME" = "xwheezy" ] && [ "x$TC_FLAVOUR" = "xminidesktop" ]; then
 	cat >> "$TC_CHROOT/etc/apt/sources.list.d/backports.list" <<EOF
-- 
2.30.0

